package com.realnet.forma.Services;
import com.realnet.forma.Repository.TestmRepository;
import com.realnet.forma.Entity.Testm
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import com.realnet.Notification.Entity.NotificationService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;




	import org.springframework.stereotype.Service;

@Service
 public class TestmService {
@Autowired
private TestmRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;



public Testm Savedata(Testm data) {




	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Testm save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Testm> getAllWithPagination(Pageable page) {
		return Repository.findAll(page, getUser().getUserId());
	}			
public List<Testm> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Testm> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Testm getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Testm update(Testm data,Integer id) {
	Testm old = Repository.findById(id).get();
old.setNamem(data.getNamem());

old.setChild(data.getChild());

final Testm test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 




 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
